Skip to main content
Creates a new dashboard (requires the ROLE_CREATE_DASHBOARDS privilege)

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

suppressWarnings
boolean
default:false

The response to this API endpoint may return a validation error with a list of problems. Each problem has a level (ERROR, WARNING). Passing suppressWarnings=true will suppress all warnings and the request will succeed if there are no errors

Body

application/vnd.composer.v3+json

Defines a dashboard payload

name
string
required

Defines a dashboard name

Maximum string length: 255
description
string

Defines a dashboard description

layout
string

Defines a dashboard layout

dashboardLayout
object

(experimental) Defines a responsive dashboard layout

icon
string

Defines a dashboard icon

showDescription
boolean

Enables dashboard description in order to show

isReportDashboard
boolean

Defines whether dashboard is of type report

unifiedBarCfgs
object[]

Defines unified controls configuration of a dashboard

selectedWidgetId
string

Defines an identifier of the selected widget

Defines field links

rowFilters
object[]
deprecated

(deprecated since 7.4, to be removed in 8.x) Defines row filters

(experimental) Defines muted links

widgets
object[]

Defines widgets

tags
string[]

Defines tags. Note: Tags are not supported as a sort parameter in the pagination API.

originId
string

Id of the exported dashboard

folderId
string

Optional folder ID for organizing the dashboard within a project.

Example:

1111

reportDetails
object

Defines self service report details of the dashboard

Response

The dashboard was created successfully

Defines a dashboard payload

name
string
required

Defines a dashboard name

Maximum string length: 255
id
string
read-only

Defines a dashboard identifier

description
string

Defines a dashboard description

layout
string

Defines a dashboard layout

dashboardLayout
object

(experimental) Defines a responsive dashboard layout

icon
string

Defines a dashboard icon

showDescription
boolean

Enables dashboard description in order to show

isReportDashboard
boolean

Defines whether dashboard is of type report

unifiedBarCfgs
object[]

Defines unified controls configuration of a dashboard

selectedWidgetId
string

Defines an identifier of the selected widget

Defines field links

rowFilters
object[]
deprecated

(deprecated since 7.4, to be removed in 8.x) Defines row filters

(experimental) Defines muted links

creatorName
string
read-only

Defines an dashboard author name

creatorFullName
string
read-only

Defines a dashboard author full name

widgets
object[]

Defines widgets

tags
string[]

Defines tags. Note: Tags are not supported as a sort parameter in the pagination API.

interactivityProfile
object
read-only

(experimental) Defines a dashboard interactivity profile

originId
string

Id of the exported dashboard

projectId
string
read-only

Project ID where this dashboard is organized. This field is read-only and only.

Example:

2222

folderId
string

Optional folder ID for organizing the dashboard within a project.

Example:

1111

reportDetails
object

Defines self service report details of the dashboard

createdByUserID
string
read-only

Defines a dashboard creator's identifier

lastModifiedByUserID
string
read-only

Defines an identifier of the user who has modified the dashboard last

createdDate
string<date-time>
read-only

Defines a date of creation of the dashboard

lastModifiedDate
string<date-time>
read-only

Defines a date of the last modification of the dashboard